<?php
/**
 * Import css files except admin
 */
if (!is_admin()) {
  add_action('wp_enqueue_scripts', 'add_wp_manzi_style', 10);
  add_action('wp_enqueue_scripts', 'add_manzi_style', 13);

  function add_wp_manzi_style(){
    wp_register_style('main-css', get_theme_file_uri().'/style.css');
    wp_enqueue_style('main-css');
  }

  function add_manzi_style(){
    wp_register_style('manzi-base-css', get_template_directory_uri().'/lib/css/manzi-base.css' );
    wp_register_style('manzi-custom-css', get_template_directory_uri().'/lib/css/manzi-custom.css' );
    wp_enqueue_style('manzi-base-css');
    wp_enqueue_style('manzi-custom-css');
  }

}

/**
 * Import css in all situations
 */
add_action('wp_enqueue_scripts', 'add_bootstrap_style', 8);
add_action('wp_enqueue_scripts', 'add_override_bootstrap_style', 9);
add_action('wp_enqueue_scripts', 'add_fontawesome_style', 9);
add_action('wp_enqueue_scripts', 'add_manzi_util_style', 10);
add_action('wp_enqueue_scripts', 'add_wordpress_style', 11);

function add_fontawesome_style(){
  wp_register_style('font-awesome', get_template_directory_uri() . '/lib/css/fontawesome.css');
  wp_enqueue_style('font-awesome');
}

function add_bootstrap_style(){
  wp_register_style( 'bootstrap', get_template_directory_uri() . '/lib/css/bootstrap.min.css');
  wp_enqueue_style('bootstrap');
}

function add_override_bootstrap_style(){
  wp_register_style( 'bootstrap-override', get_template_directory_uri() . '/lib/css/bootstrap-override.css');
  wp_enqueue_style('bootstrap-override');
}

function add_manzi_util_style(){
  wp_register_style('manzi-util-css', get_template_directory_uri().'/lib/css/manzi-util.css' );
  wp_enqueue_style('manzi-util-css');
}

function add_wordpress_style(){
  wp_register_style('manzi-wordpress-css', get_template_directory_uri().'/lib/css/manzi-wordpress.css' );
  wp_enqueue_style('manzi-wordpress-css');
}

/**
 * Import javascript without admin screen
 */
if (!is_admin()) {
  add_action('wp_enqueue_scripts', 'manzi_add_script');
  function manzi_enqueue_script() {
    wp_enqueue_script('top-notification');
  }
  function manzi_add_script() {
    manzi_enqueue_script();
  }
}


/**
 * Register css and javascript in admin screen
 * Not use bootsrap because styles are broken
 */
add_action('admin_enqueue_scripts', 'set_asset_for_admin');
function set_asset_for_admin(){

  wp_register_style('font-awesome', get_template_directory_uri() . '/lib/css/fontawesome.css');
  wp_enqueue_style('font-awesome');
  
  wp_register_style('admin', get_template_directory_uri() . '/lib/css/manzi-admin.css');
  wp_enqueue_style('admin');

  wp_register_script('manzi_admin_js', get_template_directory_uri() . '/lib/js/manzi-admin.js', array('jquery'));
  wp_enqueue_script('manzi_admin_js');
  
  wp_enqueue_script('jquery-ui-core');
  wp_enqueue_script('jquery-ui-tabs');
}
