<?php
/**
 * エスケープがされている \ を置換
 * @param string エスケープされている文字列
 * @return string
 */
function replace_backquote_for_escaped_tag($element) {
    return str_replace("\\", '', $element);
}

/**
 * エスケープされた文字列を html で表示できる文字列にして戻す
 * @param string エスケープされている文字列
 * @return string
 */
function remove_escaped_tag($element) {
    $replaced_element = replace_backquote_for_escaped_tag($element);
    // 組み込み関数の利用
    return htmlspecialchars($replaced_element);
}
?>
