<?php
class ManziUserProfileBoxWidget extends WP_Widget {
    public function __construct() {
		parent::__construct(
            'widget-manzi-profile-box',
            'MANZIVIPプロフィールボックス',
            array('description', 'MANZIVIPプロフィールボックス'),
        );
	}
	
	public function widget($args, $instance) {
    	echo $args['before_widget'];
        echo $args['before_title'];
        echo get_user_profile(
			$instance[USERNAME], $instance[WHO_IS], $instance[SELF_INTRODUCTION],
			$instance[USER_PROFILE_IMAGE_URL], $instance[TWITTER_URL], $instance[LINE_AT_URL],
			$instance[INSTAGRAM_URL], $instance[YOUTUBE_URL],
		);
        echo $args['after_title'];
        echo $args['after_widget'];
	}
	
	
	public function form($instance) {
		
		$defaults = array(
			USERNAME => EMPTY_STRING,
			WHO_IS => EMPTY_STRING,
			SELF_INTRODUCTION => EMPTY_STRING,
			USER_PROFILE_IMAGE_URL => EMPTY_STRING,
			TWITTER_URL => EMPTY_STRING,
			LINE_AT_URL => EMPTY_STRING,
			INSTAGRAM_URL => EMPTY_STRING,
			YOUTUBE_URL => EMPTY_STRING,
		);
		$instance = wp_parse_args((array)$instance, $defaults);
		
		$username  = sanitize_text_field($instance[USERNAME]);
		$who_is = sanitize_text_field($instance[WHO_IS]);
		$self_introduction = sanitize_text_field($instance[SELF_INTRODUCTION]);
		$user_profile_image_url = sanitize_text_field($instance[USER_PROFILE_IMAGE_URL]);
		$twitter_url = sanitize_text_field($instance[TWITTER_URL]);
		$line_at_url = sanitize_text_field($instance[LINE_AT_URL]);
		$instagram_url = sanitize_text_field($instance[INSTAGRAM_URL]);
		$youtube_url = sanitize_text_field($instance[YOUTUBE_URL]);

		$username_field_id = $this->get_field_id(USERNAME);
		$username_field_name = $this->get_field_name(USERNAME);
		$username_escaped_attr = esc_attr($username);

		$who_is_field_id = $this->get_field_id(WHO_IS);
		$who_is_field_name = $this->get_field_name(WHO_IS);
		$who_is_escaped_attr = esc_attr($who_is);

		$self_introduction_field_id = $this->get_field_id(SELF_INTRODUCTION);
		$self_introduction_field_name = $this->get_field_name(SELF_INTRODUCTION);
		$self_introduction_escaped_attr = html_entity_decode($self_introduction);

		$user_profile_image_url_field_id = $this->get_field_id(USER_PROFILE_IMAGE_URL);
		$user_profile_image_url_field_name = $this->get_field_name(USER_PROFILE_IMAGE_URL);
		$user_profile_image_url_escaped_attr = esc_attr($user_profile_image_url);

		$twitter_url_field_id = $this->get_field_id(TWITTER_URL);
		$twitter_url_field_name = $this->get_field_name(TWITTER_URL);
		$twitter_url_escaped_attr = esc_attr($twitter_url);

		$line_at_url_field_id = $this->get_field_id(LINE_AT_URL);
		$line_at_url_field_name = $this->get_field_name(LINE_AT_URL);
		$line_at_url_escaped_attr = esc_attr($line_at_url);
	
		$instagram_url_field_id = $this->get_field_id(INSTAGRAM_URL);
		$instagram_url_field_name = $this->get_field_name(INSTAGRAM_URL);
		$instagram_url_escaped_attr = esc_attr($instagram_url);

		$youtube_url_field_id = $this->get_field_id(YOUTUBE_URL);
		$youtube_url_field_name = $this->get_field_name(YOUTUBE_URL);
		$youtube_url_escaped_attr = esc_attr($youtube_url);

		?>

        <section>
			<label for="<?php echo $username_field_id ?>"><?php _e('名前(必須)'); ?></label>
			<input class="widefat" id="<?php echo $username_field_id ?>" name="<?php echo $username_field_name; ?>" type="text" value="<?php echo $username_escaped_attr; ?>" />
        </section>
        <section>
			<label for="<?php echo $who_is_field_id; ?>"><?php _e('職業(必須)'); ?></label>
			<input id="<?php echo $who_is_field_id; ?>" name="<?php echo $who_is_field_name; ?>" type="text" value="<?php echo $who_is_escaped_attr; ?>" />
        </section>
        <section>
			<label for="<?php echo $self_introduction_field_id; ?>"><?php _e('プロフィール概要(必須)'); ?></label>
			<br>
			<textarea style="width:100%; word-break: break-word; white-space: pre-line;" rows="4" id="<?php echo $self_introduction_field_id; ?>" name="<?php echo $self_introduction_field_name; ?>" type="text"><?php echo $self_introduction_escaped_attr?></textarea>
        </section>
        <section>
			<label for="<?php echo $user_profile_image_url_field_id; ?>"><?php _e('プロフィール画像URL(必須)'); ?></label>
			<input id="<?php echo $user_profile_image_url_field_id; ?>" name="<?php echo $user_profile_image_url_field_name; ?>" type="text" value="<?php echo $user_profile_image_url_escaped_attr; ?>" size="5" />
        </section>
        <section>
			<label for="<?php echo $twitter_url_field_id; ?>"><?php _e('Twitterリンク'); ?></label>
			<input id="<?php echo $twitter_url_field_id; ?>" name="<?php echo $twitter_url_field_name; ?>" type="text" value="<?php echo $twitter_url_escaped_attr; ?>" />
        </section>
        <section>
			<label for="<?php echo $line_at_url_field_id; ?>"><?php _e('Line@リンク'); ?></label>
			<input id="<?php echo $line_at_url_field_id; ?>" name="<?php echo $line_at_url_field_name; ?>" type="text" value="<?php echo $line_at_url_escaped_attr; ?>" />
        </section>
        <section>
			<label for="<?php echo $instagram_url_field_id; ?>"><?php _e('Instagramリンク'); ?></label>
			<input id="<?php echo $instagram_url_field_id; ?>" name="<?php echo $instagram_url_field_name; ?>" type="text" value="<?php echo $instagram_url_escaped_attr; ?>" />
        </section>
        <section>
			<label for="<?php echo $youtube_url_field_id; ?>"><?php _e('Youtubeリンク'); ?></label>
			<input id="<?php echo $youtube_url_field_id; ?>" name="<?php echo $youtube_url_field_name; ?>" type="text" value="<?php echo $youtube_url_escaped_attr; ?>" />
        </section>

		<?php
	}
	
	public function update($new_instance, $old_instance) {
		$instance = $old_instance;

		$instance[USERNAME] = sanitize_text_field($new_instance[USERNAME]);
		$instance[WHO_IS] = sanitize_text_field($new_instance[WHO_IS]);
		$instance[SELF_INTRODUCTION] = htmlspecialchars($new_instance[SELF_INTRODUCTION]);
		$instance[USER_PROFILE_IMAGE_URL] = sanitize_text_field($new_instance[USER_PROFILE_IMAGE_URL]);
		$instance[TWITTER_URL] = sanitize_text_field($new_instance[TWITTER_URL]);
		$instance[LINE_AT_URL] = sanitize_text_field($new_instance[LINE_AT_URL]);
		$instance[INSTAGRAM_URL] = sanitize_text_field($new_instance[INSTAGRAM_URL]);
		$instance[YOUTUBE_URL] = sanitize_text_field($new_instance[YOUTUBE_URL]);

		return $instance;
	}
}

class ManziSearchBoxWidget extends WP_Widget {
    public function __construct() {
	    parent::__construct(
            'widget-manzi-search-box',
            'MANZIVIP検索ボックス',
            array('description', 'MANZIVIP検索ボックス')
        );
	}
	
	public function widget($args, $instance) {
        echo $args['before_widget'];
        echo $args['before_title'];
        echo get_manzi_search_form();
        echo $args['after_title'];
        echo $args['after_widget'];
	}
	
	public function form($instance) {
	}
	
	public function update($new_instance, $old_instance) {
		return $new_instance;
	}
}

function theme_register_widget() {
	register_widget('ManziUserProfileBoxWidget');
	register_widget('ManziSearchBoxWidget');
}
add_action('widgets_init', 'theme_register_widget');
